FruxonDocs
ApiWorkflowrevision

Gets the change history for a Workflow.

Returns a chronological, cursor-paginated list of changes made to the Workflow — configuration updates, deployments, and metadata changes — newest first.

GET
/v1/tenants/{tenant}/workflows/{workflow}/history
AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Enter 'Bearer' [space] and then your token.

In: header

Path Parameters

workflow*string

The unique identifier of the Workflow.

tenant*string

The tenant identifier

Query Parameters

PageSize?integer

The maximum number of items to return per page

Formatint32
PageToken.Skip?integer
Formatint32
PageToken.Cursor?string

Opaque cursor token from an external system (e.g. RAG API). When set, M:Fruxon.Common.Collections.PageToken.AsString returns this value directly instead of encoding Fruxon.Common.Collections.PageToken.Skip.

Response Body

curl -X GET "https://api.fruxon.com/v1/tenants/string/workflows/string/history"
{
  "items": [
    {
      "workflowId": "string",
      "revision": 0,
      "comment": "string",
      "createdAt": 0,
      "createdBy": "string",
      "actor": "string"
    }
  ],
  "nextPageToken": "string",
  "totalCount": 0
}
Empty
Empty
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}